package com.qmth.boot.core.ai.config;

import com.qmth.boot.core.retrofit.annotatioin.RetrofitScan;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@ComponentScan("com.qmth.boot.core.ai")
@RetrofitScan("com.qmth.boot.core.ai.client")
public class AiAutoConfiguration {

    @Bean
    public LlmApiConfiguration llmApiConfiguration(LlmProperties llmProperties) {
        return new LlmApiConfiguration(llmProperties);
    }

    @Bean
    public OcrApiConfiguration ocrApiConfiguration(OcrProperties ocrProperties) {
        return new OcrApiConfiguration(ocrProperties);
    }
}
